#pragma once
#include "NoteModel.h"
#include "SendNoteMananger.h"
class CNoteMemberInfoActorEvent: public IGTWASActorEvent , 
    private IGTMessengerActorEvent
{
public:
	CNoteMemberInfoActorEvent(SendNoteMananger *pManager);

	void WasRegister() 
	{
		//g_pMessengerActor->RegisterObserver(this);
		IGTWASActor *pWASActor = g_pMessengerActor->GetWASActor();
		pWASActor->RegisterObserver(this);
		m_bRegister = TRUE;
	}

	~CNoteMemberInfoActorEvent(void);
	bool RequestSendNote(const std::vector<ReceiverInfo> receiverVector ,CString strTitle,CString strContent);

	typedef struct
	{
		CString strTitle;
		CString strContent;
	}NoteInfo;


private:
	SendNoteMananger *m_pSendNoteManager;
	std::list<trid_t> m_tridList;
	BOOL m_bRegister;

	std::map<trid_t, NoteInfo> m_NoteInfoTrid;
	virtual bool OnGTWASActor_ResponseGetEmployeeInfo(IGTWASActor *pActor, trid_t trid, GTWASCallErrorCode eErrorCode, const NE_MEMBER_DATA_LIST &list, NTRequestEmpInfoType reqEmpInfoType, int nGroupID);

};